package com.iamberry.wechat.service.channel;

import com.iamberry.wechat.core.entity.channel.BalanceLog;
import com.iamberry.wechat.face.channel.BalanceLogService;
import com.iamberry.wechat.service.mapper.BalanceLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  余额变动日志表接口
 * @author xm
 * @Date 2018-07-24
 */
@Service
public class BalanceLogServiceImpl  implements BalanceLogService {
    @Autowired
    private BalanceLogMapper balanceLogMapper;
    /**
     * 获取集合
     * @param  balanceLog
     * @return List
     */
    @Override
    public List<BalanceLog> getBalanceLogList(BalanceLog  balanceLog){
        return  balanceLogMapper.getBalanceLogList(balanceLog);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  balanceLog
     */
    @Override
    public  BalanceLog  getBalanceLogById(Integer  id){
        return  balanceLogMapper.getBalanceLogById(id);
    }
    /**
     * 增加数据
     * @param  balanceLog
     * @return Integer
     */
    @Override
    public  Integer  save(BalanceLog balanceLog){
        return  balanceLogMapper.save(balanceLog);
    }
    /**
     * 修改数据
     * @param  balanceLog
     * @return Integer
     */
    @Override
    public  Integer  update(BalanceLog  balanceLog){
        return  balanceLogMapper.update(balanceLog);
    }
}